#!/bin/sh
PATH=/sbin:/usr/sbin:/bin:/usr/bin:/usr/X11R6/bin:/usr/local/bin
tf=/tmp/mpatch.$$

######################## Utils #################################

# yn prompt help
yn()
{
  local status
  while :; do
    if [ -n "$2" ]; then
       echo -n "$1 [y/n/?] ? "
    else
       echo -n "$1 [y/n] ? "
    fi
    read _yn_a
    case "$_yn_a" in
	y|Y) status=0
             break
           ;;
	\?) if [ -n "$2" ]; then
              echo ":"
              echo -e "$2"
              echo
           else
              echo -e "\n,     \n"
           fi
           ;;
	*) status=1
           break
           ;;
    esac
  done
  N=`expr $N + 1`
  return $status
}

MK_xxkb() {
  yn "   X-Window xxkb" "
    X.
        
     (//) - 
     -. 
       :

+-------------+-------------+-----------+--------------+
|      |             |           |              |
|      |             |           |              |
|\_________   |    |    |    |
| \_ |             |           |              |
|     \|             |           |              |
+-------------+-------------+-----------+--------------+
|    |             |  RCtrl    |  RAlt        |
+-------------+-------------+-----------+--------------+
|      | RCtrl       |           |  RCtrl       |
+-------------+-------------+-----------+--------------+
|   | RAlt        |  RAlt     |              |
+-------------+-------------+-----------+--------------+
" || return 0
 cd $mydir/xxkb
 if [ -n /etc/X11/xkb/compat/iso9995.orig ]; then
    mv /etc/X11/xkb/compat/iso9995 /etc/X11/xkb/compat/iso9995.orig
 fi
 cp compat/iso9995 /etc/X11/xkb/compat
 cp symbols/rua /etc/X11/xkb/symbols
 if [ -n /etc/X11/XF86Config-4.orig ]; then
    cp /etc/X11/XF86Config-4 /etc/X11/XF86Config-4.orig 
 fi
 cat /etc/X11/XF86Config-4  | awk '{ if ($2 == "\"XkbLayout\"") \
					print("   Option \"XkbLayout\" \"rua\"") ; \
                                     else if ($2 != "\"XkbOptions\"") print $0 }' \
  > /tmp/XF86Config-4 || return 1
 mv /tmp/XF86Config-4 /etc/X11/XF86Config-4 
 cp XXkb.ad /usr/X11R6/lib/X11/app-defaults/XXkb
 cd /usr/X11R6/lib/X11/
 rm -f ru_RU.KOI8-R/app-defaults/XXkb uk_UA.KOI8-U/app-defaults/XXkb
 
}

# main()
 MK_xxkb || echo ERROR 
